Package org.bukkit.plugin.messaging

# Interface PluginMessageRecipient

All Known Subinterfaces:
  `Player`, `Server`, `World`

public interface PluginMessageRecipient
Represents a possible recipient for a Plugin Message.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<String>`
`getListeningPluginChannels()`
Gets a set containing all the Plugin Channels that this client is listening on.
`void`
`sendPluginMessage(@NotNull Plugin source, @NotNull String channel, @org.jetbrains.annotations.NotNull byte[] message)`
Sends this recipient a Plugin Message on the specified outgoing channel.

## Method Details

### sendPluginMessage

void sendPluginMessage(@NotNull @NotNull Plugin source, @NotNull @NotNull String channel, @NotNull @org.jetbrains.annotations.NotNull byte[] message)
Sends this recipient a Plugin Message on the specified outgoing channel.

The message may not be larger than `Messenger.MAX_MESSAGE_SIZE` bytes, and the plugin must be registered to send messages on the specified channel.

Parameters:
  `source` - The plugin that sent this message.
  `channel` - The channel to send this message on.
  `message` - The raw message to send.
Throws:
  `IllegalArgumentException` - Thrown if the source plugin is disabled.
  `IllegalArgumentException` - Thrown if source, channel or message is null.
  `MessageTooLargeException` - Thrown if the message is too big.
  `ChannelNotRegisteredException` - Thrown if the channel is not registered for this plugin.

### getListeningPluginChannels

@NotNull @NotNull Set<String> getListeningPluginChannels()
Gets a set containing all the Plugin Channels that this client is listening on.

Returns:
  Set containing all the channels that this client may accept.